# -*- coding: utf-8 -*-
import csv
import os
import sys
import re
import binascii
from struct import unpack, pack
import urllib2
import argparse
import hashlib
import datetime

if not sys.version_info[:2] == (2, 7):
    print '*****\n!!!!!Warning - Only tested with Python 2.7!!!!!\n*****\n'

parser = argparse.ArgumentParser()
parser.add_argument('inputfile1', action='store', help='CSV file that contains title information, ideally from: http://yls8.mtheall.com/ninupdates/reports.php')
parser.add_argument('inputfile2', action='store', help='CSV file that contains title information, ideally from: http://yls8.mtheall.com/ninupdates/reports.php')

# parser.add_argument('-ALL', action='store_true', default=False, dest='allregions', help='Download all regions')
parser.add_argument('-region1', nargs='+', required=True, choices=['JPN', 'EUR', 'USA', 'KOR', 'CHN', 'TWN', 'ALL'], dest='regionlist1', help='--')
parser.add_argument('-region2', nargs='+', required=True, choices=['JPN', 'EUR', 'USA', 'KOR', 'CHN', 'TWN', 'ALL'], dest='regionlist2', help='--')
arguments = parser.parse_args()


list1 = []
list2 = []

print 'cearpcearpcearp\n'


print 'source'

f = open(arguments.inputfile1)
try:
    reader = csv.reader(f)
    print 'Loaded CSV, now processing...\n'
    reader.next() #skip first line
    
    for row in reader:
        
        region = row[1]
        if (region in arguments.regionlist1):

            titleid = row[0]
            list1.append(titleid)
            # print titleid
finally:
    f.close()

print ''
print ''

print 'taget'

f = open(arguments.inputfile2)
try:
    reader = csv.reader(f)
    print 'Loaded CSV, now processing...\n'
    reader.next() #skip first line
    
    for row in reader:
        
        region = row[1]
        if (region in arguments.regionlist2):

            titleid = row[0]
            list2.append(titleid)
            # print titleid
finally:
    f.close()

print ''
print ''

result = list(set(list1) - set(list2))
# print result
result.sort()
print result


# list1 is source, list2 is target.
# if title in list1 exists in target, keep it (ignore)
# if title in list1 does NOT exist in target, delete it (tell me and print the title id)
                           
